<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Serial dilution — serial_dilution • himodel</title>

<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



<meta property="og:title" content="Serial dilution — serial_dilution" />

<meta property="og:description" content="Performs a serial dilution for specified seeding
  concentration(s) and dilution factor." />
<meta name="twitter:card" content="summary" />



<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body>
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../articles/himodel.html">Get started</a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
      </ul>
      
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>Serial dilution</h1>
    
    <div class="hidden name"><code>serial_dilution.Rd</code></div>
    </div>

    <div class="ref-description">
    
    <p>Performs a serial dilution for specified seeding
  concentration(s) and dilution factor.</p>
    
    </div>

    <pre class="usage"><span class='fu'>serial_dilution</span>(
  <span class='no'>init_conc</span>,
  <span class='no'>n_dilutions</span>,
  <span class='kw'>serial_dil_fact</span> <span class='kw'>=</span> <span class='fl'>0.5</span>,
  <span class='kw'>pre_dil_fact</span> <span class='kw'>=</span> <span class='fl'>0.125</span>,
  <span class='kw'>init_conc_colname</span> <span class='kw'>=</span> <span class='kw'>NULL</span>,
  <span class='kw'>out_tidy</span> <span class='kw'>=</span> <span class='fl'>TRUE</span>
)</pre>
    
    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>init_conc</th>
      <td><p>Initial concentration. Numeric value or
data frame where the column with initial concentrations must be specified
in argument <code>init_conc_colname</code>.</p></td>
    </tr>
    <tr>
      <th>n_dilutions</th>
      <td><p>Number of serial dilution steps. An integer &gt; 0.</p></td>
    </tr>
    <tr>
      <th>serial_dil_fact</th>
      <td><p>Serial dilution factor. Numeric value between &gt; 0 and &lt;= 1.
Default is set to 0.5 (= 1:2, as specified by WHO for HI assays).</p></td>
    </tr>
    <tr>
      <th>pre_dil_fact</th>
      <td><p>Predilution factor. Numeric value between &gt; 0 and &lt;= 1.
The default is set to 0.125 (= 1:8, as specified by WHO for HI assays).</p></td>
    </tr>
    <tr>
      <th>init_conc_colname</th>
      <td><p>Only required if <code>init_conc</code> is provided as a
data frame: a string specifying the column containing the initial
concentrations.</p></td>
    </tr>
    <tr>
      <th>out_tidy</th>
      <td><p>Boolean, only applicable if <code>init_conc</code> is provided as a
format. The default is TRUE.</p></td>
    </tr>
    </table>
    
    <h2 class="hasAnchor" id="value"><a class="anchor" href="#value"></a>Value</h2>

    <p>A data frame.</p>
    

    <h2 class="hasAnchor" id="examples"><a class="anchor" href="#examples"></a>Examples</h2>
    <pre class="examples"><div class='input'><span class='co'>## 1. Example: single dilution series</span>
<span class='co'># Perform a 1:2 dilution series with a predilution factor of 1:8.</span>
<span class='co'># Start with a seeding concentration of 100 and perform 10 dilution steps.</span>

<span class='no'>init_conc</span> <span class='kw'>=</span> <span class='fl'>100</span>
<span class='no'>n_dilutions</span> <span class='kw'>=</span> <span class='fl'>10</span>
<span class='no'>serial_dil_fact</span> <span class='kw'>=</span> <span class='fl'>1</span>/<span class='fl'>2</span>
<span class='no'>pre_dil_fact</span> <span class='kw'>=</span> <span class='fl'>1</span>/<span class='fl'>8</span>

<span class='no'>dilutions</span> <span class='kw'>=</span> <span class='fu'>serial_dilution</span>(
  <span class='no'>init_conc</span>, <span class='no'>n_dilutions</span>, <span class='no'>serial_dil_fact</span>, <span class='no'>pre_dil_fact</span>
)
<span class='no'>dilutions</span></div><div class='output co'>#&gt;    dilution_fact conc_diluted conc_init
#&gt; 1              8  12.50000000       100
#&gt; 2             16   6.25000000       100
#&gt; 3             32   3.12500000       100
#&gt; 4             64   1.56250000       100
#&gt; 5            128   0.78125000       100
#&gt; 6            256   0.39062500       100
#&gt; 7            512   0.19531250       100
#&gt; 8           1024   0.09765625       100
#&gt; 9           2048   0.04882812       100
#&gt; 10          4096   0.02441406       100
#&gt; 11          8192   0.01220703       100</div><div class='input'>
<span class='co'># 2. Example: multiple dilution series.</span>
<span class='co'># Generate random data</span>
<span class='fu'><a href='https://rdrr.io/r/base/Random.html'>set.seed</a></span>(<span class='fl'>42</span>)
<span class='no'>data</span> <span class='kw'>&lt;-</span> <span class='fu'><a href='https://rdrr.io/r/base/data.frame.html'>data.frame</a></span>(<span class='kw'>concentration</span> <span class='kw'>=</span> <span class='fu'><a href='https://rdrr.io/r/stats/Normal.html'>rnorm</a></span>(<span class='fl'>3</span>, <span class='fl'>100</span>, <span class='fl'>50</span>))

<span class='co'># Specify column name of seeding concentrations</span>
<span class='no'>init_conc_colname</span> <span class='kw'>=</span> <span class='st'>"concentration"</span>

<span class='co'># Use same parameters as in Example 1</span>
<span class='no'>n_dilutions</span> <span class='kw'>=</span> <span class='fl'>10</span>
<span class='no'>serial_dil_fact</span> <span class='kw'>=</span> <span class='fl'>1</span>/<span class='fl'>2</span>
<span class='no'>pre_dil_fact</span> <span class='kw'>=</span> <span class='fl'>1</span>/<span class='fl'>8</span>

<span class='no'>dilutions</span> <span class='kw'>=</span> <span class='fu'>serial_dilution</span>(
  <span class='kw'>init_conc</span> <span class='kw'>=</span> <span class='no'>data</span>,
  <span class='kw'>init_conc_colname</span> <span class='kw'>=</span> <span class='no'>init_conc_colname</span>,
  <span class='no'>n_dilutions</span>, <span class='no'>serial_dil_fact</span>, <span class='no'>pre_dil_fact</span>
)
<span class='fu'><a href='https://rdrr.io/r/utils/head.html'>head</a></span>(<span class='no'>dilutions</span>)</div><div class='output co'>#&gt;   concentration sample_id dilution_fact concentration_diluted
#&gt; 1     168.54792         1             8             21.068490
#&gt; 2      71.76509         2             8              8.970636
#&gt; 3     118.15642         3             8             14.769553
#&gt; 4     168.54792         1            16             10.534245
#&gt; 5      71.76509         2            16              4.485318
#&gt; 6     118.15642         3            16              7.384776</div></pre>
  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <h2>Contents</h2>
    <ul class="nav nav-pills nav-stacked">
      <li><a href="#arguments">Arguments</a></li>
      
      <li><a href="#value">Value</a></li>
      
      <li><a href="#examples">Examples</a></li>
    </ul>

  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


